Package org.apache.lucene.geo

# Class Tessellator.Node

java.lang.Object
org.apache.lucene.geo.Tessellator.Node

Enclosing class:
  `Tessellator`

protected static class Tessellator.Node extends Object
Circular Doubly-linked list used for polygon coordinates

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Node(double[] x, double[] y, int index, int vertexIndex, boolean isGeo)`
`protected`
`Node(Tessellator.Node other)`
simple deep copy constructor

## Method Summary

Modifier and Type
Method
Description
`final double`
`getX()`
get the x value
`final double`
`getY()`
get the y value
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Node

protected Node(double[] x, double[] y, int index, int vertexIndex, boolean isGeo)

### Node

protected Node(Tessellator.Node other)
simple deep copy constructor

## Method Details

### getX

public final double getX()
get the x value

### getY

public final double getY()
get the y value

### toString

public String toString()

Overrides:
  `toString` in class `Object`